在Centos 6.5 X86_64上安装MariaDB

当我通过“yum install MariaDB-server MariaDB-client”在Centos 6.5上安装MariaDB时,服务器显示“事务检查错误:

  安装MariaDB-server-10.0.9-1.el6.i686的文件/usr/share/mysql/czech/errmsg.sys与包mysql-libs-5.5.36-1.el6.remi.x86_64中的文件冲突
  来自安装的MariaDB-server-10.0.9-1.el6.i686的文件/usr/share/mysql/danish/errmsg.sys与来自包mysql-libs-5.5.36-1.el6.remi.x86_64的文件冲突
  安装MariaDB-server-10.0.9-1.el6.i686的文件/usr/share/mysql/dutch/errmsg.sys与包mysql-libs-5.5.36-1.el6.remi.x86_64中的文件冲突
  安装MariaDB-server-10.0.9-1.el6.i686的文件/usr/share/mysql/english/errmsg.sys与包mysql-libs-5.5.36-1.el6.remi.x86_64中的文件冲突
  安装MariaDB-server-10.0.9-1.el6.i686的文件/usr/share/mysql/estonian/errmsg.sys与包mysql-libs-5.5.36-1.el6.remi.x86_64中的文件冲突
  安装MariaDB-server-10.0.9-1.el6.i686的文件/usr/share/mysql/french/errmsg.sys与包mysql-libs-5.5.36-1.el6.remi.x86_64中的文件冲突
  安装MariaDB-server-10.0.9-1.el6.i686的文件/usr/share/mysql/german/errmsg.sys与包mysql-libs-5.5.36-1.el6.remi.x86_64中的文件冲突
  安装MariaDB-server-10.0.9-1.el6.i686的文件/usr/share/mysql/greek/errmsg.sys与包mysql-libs-5.5.36-1.el6.remi.x86_64中的文件冲突
  安装MariaDB-server-10.0.9-1.el6.i686的文件/usr/share/mysql/hungarian/errmsg.sys与包mysql-libs-5.5.36-1.el6.remi.x86_64中的文件冲突
  安装MariaDB-server-10.0.9-1.el6.i686的文件/usr/share/mysql/italian/errmsg.sys与包mysql-libs-5.5.36-1.el6.remi.x86_64中的文件冲突
  安装MariaDB-server-10.0.9-1.el6.i686的文件/usr/share/mysql/japanese/errmsg.sys与包mysql-libs-5.5.36-1.el6.remi.x86_64中的文件冲突
  来自安装的MariaDB-server-10.0.9-1.el6.i686的文件/usr/share/mysql/korean/errmsg.sys与包mysql-libs-5.5.36-1.el6.remi.x86_64中的文件冲突
  来自安装的MariaDB-server-10.0.9-1.el6.i686的文件/usr/share/mysql/norwegian-ny/errmsg.sys与包mysql-libs-5.5.36-1.el6.remi中的文件冲突. x86_64的
  安装MariaDB-server-10.0.9-1.el6.i686的文件/usr/share/mysql/norwegian/errmsg.sys与包mysql-libs-5.5.36-1.el6.remi.x86_64中的文件冲突
  安装MariaDB-server-10.0.9-1.el6.i686的文件/usr/share/mysql/polish/errmsg.sys与包mysql-libs-5.5.36-1.el6.remi.x86_64中的文件冲突
  安装MariaDB-server-10.0.9-1.el6.i686的文件/usr/share/mysql/portuguese/errmsg.sys与包mysql-libs-5.5.36-1.el6.remi.x86_64中的文件冲突
  安装MariaDB-server-10.0.9-1.el6.i686的文件/usr/share/mysql/romanian/errmsg.sys与包mysql-libs-5.5.36-1.el6.remi.x86_64中的文件冲突
  安装MariaDB-server-10.0.9-1.el6.i686的文件/usr/share/mysql/russian/errmsg.sys与包mysql-libs-5.5.36-1.el6.remi.x86_64中的文件冲突
  安装MariaDB-server-10.0.9-1.el6.i686的文件/usr/share/mysql/serbian/errmsg.sys与包mysql-libs-5.5.36-1.el6.remi.x86_64中的文件冲突
  安装MariaDB-server-10.0.9-1.el6.i686的文件/usr/share/mysql/slovak/errmsg.sys与包mysql-libs-5.5.36-1.el6.remi.x86_64中的文件冲突
  安装MariaDB-server-10.0.9-1.el6.i686的文件/usr/share/mysql/spanish/errmsg.sys与包mysql-libs-5.5.36-1.el6.remi.x86_64中的文件冲突
  来自安装MariaDB-server-10.0.9-1.el6.i686的文件/usr/share/mysql/swedish/errmsg.sys与来自包mysql-libs-5.5.36-1.el6.remi.x86_64的文件冲突
  安装MariaDB-server-10.0.9-1.el6.i686的文件/usr/share/mysql/ukrainian/errmsg.sys与包mysql-libs-5.5.36-1.el6.remi.x86_64中的文件冲突
  安装MariaDB-common-10.0.9-1.el6.i686的文件/etc/my.cnf与包mysql-libs-5.5.36-1.el6.remi.x86_64中的文件冲突

错误摘要
————-

“请建议我同样的.

有同样的问题,对我来说这是有效的:

运行rpm -qa | grep -i mysql
这给了我一些仍然安装的包如:

MySQL-devel-advanced-5.5.27-1.el6.x86_64
MySQL-shared-advanced-5.5.27-1.el6.x86_64
mysql-connector-odbc-5.3.4-1.x86_64
MySQL-client-advanced-5.5.27-1.el6.x86_64

所以

yum remove MySQL-devel-advanced-5.5.27-1.el6.x86_64
yum remove ...

……你明白了

相关文章
相关标签/搜索